
/****************************************************************
 *
 *	rtp_asf.h		(C) Copyright Netgem 2008
 *	RTP ASF demuxer
 *
 ****************************************************************/

#ifndef FFMPEG_RTP_ASF_H
#define FFMPEG_RTP_ASF_H

#include "rtp_internal.h"

struct RTPAsfContext;

struct RTPAsfContext* rtp_asf_init(const char *header64);
int rtp_asf_open(struct RTPAsfContext *asf, AVFormatContext *rtsp_ctx);
void rtp_asf_close(struct RTPAsfContext *asf);

extern RTPDynamicProtocolHandler ff_asfvideo_dynamic_handler;
extern RTPDynamicProtocolHandler ff_asfaudio_dynamic_handler;

#endif /* FFMPEG_RTP_ASF_H */
