#!/bin/sh

IPTABLES=/sbin/iptables
#IPTABLES=/tmp/iptables

# Purge mangle table
${IPTABLES} -t mangle -F
${IPTABLES} -t mangle -X

# Add rule for DSCP field change on all outgoing packets on eth0
${IPTABLES} -t mangle -A OUTPUT -o eth0 -j DSCP -1 0x24

# Dump mangle table to be sure...
${IPTABLES} -t mangle -L -v
