#if !defined (__LCD_H__)
#define __LCD_H__

#define LCDMOD_VERSION "0.6.7"

// Setup the keymap
#define CGRAM_DEFAULT
//#define CGRAM_SWEDISH

#define DFLT_BASE       0x378   // Default I/O base address of the parallel port
#define DFLT_DISP_ROWS  2       // Default number of rows the display has
#define DFLT_DISP_COLS  20      // Default number of columns the display has
#define DFLT_DISP_WRAP  40
#define LCD_MAJOR       120     // Major for device file
#define TABSTOP         3       // Length of tabs

enum {
    /* Sources */
    ICON_TV = 0,
    ICON_MUSIC,
    ICON_DTV,
    ICON_TAPE,
    ICON_ATV,
    ICON_DVD,
    ICON_VCD,
    ICON_MP3,
    /* Player state */
    ICON_PAUSE,
    ICON_RECORD,
    ICON_PLAY,
    ICON_STOP,
    ICON_START,
    ICON_END,
    ICON_FBACKWARD,
    ICON_FFORWARD,
    /* Misc */
    ICON_MUTE,
    ICON_TTX,
    ICON_DOLBYR,
    ICON_DOLBYL,
    ICON_DOLLAR,
    ICON_CLOCK,
    ICON_MAX,
};

#endif /* !defined (__LCD_H__) */
